<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-392"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20NSDictionary%28Params%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: NSDictionary(Params)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_n_s_dictionary_07_params_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="category_n_s_dictionary_07_params_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">NSDictionary(Params)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_n_s_dictionary_09_params_8h_source.html">NSDictionary+Params.h</a>&gt;</code></p>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a39ee8615343fe11d0fd416122528854a"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_dictionary_07_params_08.html#a39ee8615343fe11d0fd416122528854a">boolObjectForKey:</a></td></tr>
<tr class="separator:a39ee8615343fe11d0fd416122528854a"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a16188acc3c9e2bc526f0aa4c28842e74"><td class="memItemLeft" align="right" valign="top">(NSString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_dictionary_07_params_08.html#a16188acc3c9e2bc526f0aa4c28842e74">stringObjectForKey:</a></td></tr>
<tr class="separator:a16188acc3c9e2bc526f0aa4c28842e74"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a78a3667deb832dbad83470bda68efab8"><td class="memItemLeft" align="right" valign="top">(double)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_dictionary_07_params_08.html#a78a3667deb832dbad83470bda68efab8">doubleObjectForKey:</a></td></tr>
<tr class="separator:a78a3667deb832dbad83470bda68efab8"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a6d71ff3d3f2b3919cdf3b66017753c64"><td class="memItemLeft" align="right" valign="top">(NSInteger)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_dictionary_07_params_08.html#a6d71ff3d3f2b3919cdf3b66017753c64">integerObjectForKey:</a></td></tr>
<tr class="separator:a6d71ff3d3f2b3919cdf3b66017753c64"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="a39ee8615343fe11d0fd416122528854a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39ee8615343fe11d0fd416122528854a">◆&nbsp;</a></span>boolObjectForKey:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) boolObjectForKey: </td>
          <td></td>
          <td class="paramtype">(id&lt;NSCopying&gt;)&nbsp;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a78a3667deb832dbad83470bda68efab8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78a3667deb832dbad83470bda68efab8">◆&nbsp;</a></span>doubleObjectForKey:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (double) doubleObjectForKey: </td>
          <td></td>
          <td class="paramtype">(id&lt;NSCopying&gt;)&nbsp;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a6d71ff3d3f2b3919cdf3b66017753c64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d71ff3d3f2b3919cdf3b66017753c64">◆&nbsp;</a></span>integerObjectForKey:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSInteger) integerObjectForKey: </td>
          <td></td>
          <td class="paramtype">(id&lt;NSCopying&gt;)&nbsp;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a16188acc3c9e2bc526f0aa4c28842e74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16188acc3c9e2bc526f0aa4c28842e74">◆&nbsp;</a></span>stringObjectForKey:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSString *) stringObjectForKey: </td>
          <td></td>
          <td class="paramtype">(id&lt;NSCopying&gt;)&nbsp;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/<a class="el" href="_n_s_dictionary_09_params_8h_source.html">NSDictionary+Params.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/<a class="el" href="_n_s_dictionary_09_params_8m.html">NSDictionary+Params.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_n_s_dictionary_07_params_08.html">NSDictionary(Params)</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>